#include "deftype.h"

int cutspn(unchar *zname,unchar *name,int len)
// name -> zname : 全角スペース／半角スペースははずす
// len = 処理バイト数
{
unchar c,*zname0;
	zname0=zname;
	do {
		c=*name++;
		if (c!=' ') {
			if (check_kanji1(c)) {
				if (c==0x81 && *name==0x40) {
					// 全角スペースははずす
					name++;
					len-=2;
					if (len<=0) break;
					continue;
				}
				*zname++=c;
				c=*name++;
				len--;
			}
			*zname++=c;
		} // 半角スペースははずす
		if (--len<=0) break;
	} while (c!=0);
	*zname=0; // EOS
	return((int)(zname-zname0)-1);
}
